import { useRef, useEffect } from 'react';
export const useDropdownProviderRef = (resolver) => {
    const providerRef = useRef(null);
    useEffect(() => {
        const current = providerRef?.current;
        if (current && resolver) {
            window.addEventListener('action', (e) => console.log('Event', e));
            providerRef.current.connectResolver(resolver);
            return () => {
                current.removeResolver();
            };
        }
    }, [providerRef, resolver]);
    return providerRef;
};
//# sourceMappingURL=useDropdownProviderRef.js.map